	@echo off

REM
REM		Fine Print update utility.
REM

	cls
	echo -----------------------------------------------------
	echo !              FINE PRINT UPDATE UTILITY            !
	echo -----------------------------------------------------
	echo.
	echo This will update Fine Print on a system which already has
	echo Fine Print installed on it.
	echo.
	echo You cannot use this to perform a first-time installation of
	echo Fine Print.  Please see SETUP.HLP for details on installing
	echo Fine Print for the first time.
	echo.

	if "%windir%" == "" goto NoWindir
	if exist %windir%\system\fineprt.drv goto FoundFP
	echo WARNING: Fine Print does not appear to be installed on your
	echo system.  Results are not guaranteed.
	echo.

:FoundFP
	echo Ready to update Fine Print.  Hit Ctrl-C to cancel.
	echo.
	pause
	echo.
	del %windir%\system\fineprt.drv >nul
	echo.
	if exist %windir%\system\fineprt.drv goto CannotDelete
	copy fineprt.drv %windir%\system
	copy fineprt.hlp %windir%\system
	copy fineui.dll  %windir%\system
	copy register.exe %windir%\system
	copy register.hlp %windir%\system
	echo.
	echo *** Fine Print was successfully updated. ***
	goto EXIT

:CannotDelete
	echo ERROR: the Fine Print driver is currently in use and cannot
	echo be updated.  Please exit all applications and restart Windows.
	echo.
	echo If Fine Print is the default system printer, then you may also
	echo need to select a different printer before updating Fine Print.
	echo.
	echo If all else fails, then simply re-install Fine Print from the
	echo Control Panel Printers applet (Windows 3.1x) or from the
	echo Printers folder (Windows 95).
	goto EXIT

:NoWindir
	echo ERROR: Windows is not running.  Please start Windows and run
	echo this file from an MS-DOS prompt.
	goto EXIT

:EXIT
